Create events in bulk
Create multiple events for the authenticated client.
POST
/
client
/
events
/
bulk
Create events in bulk
curl --request POST \
--url https://api.mailerpath.com/api/v1/client/events/bulk \
--header 'Authorization: <api-key>' \
--header 'Content-Type: application/json' \
--data '
{
"events": [
{
"action": "<string>",
"amount": 123,
"auto_create_contact": true,
"email": "user@example.com",
"external_id": "<string>",
"feature": "<string>",
"idempotency_key": "<string>",
"metadata": {},
"plan": "<string>",
"source": "<string>",
"status": "<string>",
"ts": "<string>",
"type": "purchase",
"uid": "usr_abc123",
"upgrade": true
}
]
}
'import requests
url = "https://api.mailerpath.com/api/v1/client/events/bulk"
payload = { "events": [
{
"action": "<string>",
"amount": 123,
"auto_create_contact": True,
"email": "user@example.com",
"external_id": "<string>",
"feature": "<string>",
"idempotency_key": "<string>",
"metadata": {},
"plan": "<string>",
"source": "<string>",
"status": "<string>",
"ts": "<string>",
"type": "purchase",
"uid": "usr_abc123",
"upgrade": True
}
] }
headers = {
"Authorization": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
events: [
{
action: '<string>',
amount: 123,
auto_create_contact: true,
email: 'user@example.com',
external_id: '<string>',
feature: '<string>',
idempotency_key: '<string>',
metadata: {},
plan: '<string>',
source: '<string>',
status: '<string>',
ts: '<string>',
type: 'purchase',
uid: 'usr_abc123',
upgrade: true
}
]
})
};
fetch('https://api.mailerpath.com/api/v1/client/events/bulk', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
"<unknown>""<unknown>"{
"data": {},
"errors": [
{
"condition": "format",
"error": "Invalid email format",
"key": "email"
}
],
"message": "Operation successful",
"meta": {},
"success": true
}{
"data": {},
"errors": [
{
"condition": "format",
"error": "Invalid email format",
"key": "email"
}
],
"message": "Operation successful",
"meta": {},
"success": true
}Authorizations
JWT Bearer token or raw API key via Authorization header
Query Parameters
Process immediately and return per-item processing errors
Set to sync for immediate processing
Body
application/json
Bulk event payload
Show child attributes
Show child attributes
Response
OK
The response is of type any.
⌘I
Create events in bulk

